Bug 615052 - intrinsics and 64-bit atomics code fails to compile on PA-RISC
Summary: intrinsics and 64-bit atomics code fails to compile on PA-RISC
Status: CLOSED NOTABUG
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.2.6
Hardware: parisc11 Other
low
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-07-15 20:32 UTC by Ulf Weltman
Modified: 2015-01-04 23:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 00:19:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch proposal (1.29 KB, patch)
2010-07-15 20:33 UTC, Ulf Weltman
nhosoi: review+
Details | Diff
git patch file (master) -- applyed 432218: patch proposal to configure.ac and intrinsics.h (2.40 KB, patch)
2011-02-03 19:18 UTC, Noriko Hosoi
no flags Details | Diff

Description Ulf Weltman 2010-07-15 20:32:38 UTC
PA-RISC doesn't have instructions for atomic manipulation of 64-bit integers, so use pthread mutex to protect this code.  That code is already there, we just need to make sure ATOMIC_64BIT_OPERATIONS is not set for PA-RISC.

Also, pragma INLINE for listing functions that should be inlined is not supported by PA-RISC's compiler.  Using the __inline keyword works with both PA-RISC and IA64 compilers in ANSI C mode.

Comment 1 Ulf Weltman 2010-07-15 20:33:31 UTC
Created attachment 432218 [details]
patch proposal

Comment 3 Noriko Hosoi 2011-02-03 19:18:33 UTC
Created attachment 476851 [details]
git patch file (master) -- applyed 432218: patch proposal to configure.ac and intrinsics.h

Note: configure has been regenerated with autogen.sh script on F-14.

Comment 5 Noriko Hosoi 2011-02-03 19:22:54 UTC
Pushed to master on behalf of Ulf Weltman (ulf.weltman@hp.com).

$ git merge 615052
Updating b7bf3cb..926d8cc
Fast-forward
 configure                       |    3 ---
 configure.ac                    |    1 -
 ldap/servers/slapd/intrinsics.h |    7 +++----
 3 files changed, 3 insertions(+), 8 deletions(-)
$ git push
Counting objects: 15, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (8/8), done.
Writing objects: 100% (8/8), 1.11 KiB, done.
Total 8 (delta 6), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   b7bf3cb..926d8cc  master -> master


Note You need to log in before you can comment on or make changes to this bug.